Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait Solving extends Logic

  Solve pattern matcher exhaustivity problem via DPLL.

  Solve pattern matcher exhaustivity problem via DPLL.

  Definition Classes
    patmat
-  trait CNF extends PropositionalLogic
  Definition Classes
    Solving
- AbsVar
- AlreadyInCNF
- AnalysisBudget
- And
- AtMostOne
- CnfBuilder
- Const
- Eq
- False
- Not
- Or
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- Sym
- SymbolMapping
- TransformToCnf
- Tree
- True
- Type
- TypeConst
- TypeConstExtractor
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor

t

scala.tools.nsc.transform.patmat.Solving.CNF

# CnfBuilder 

###

#### trait CnfBuilder extends AnyRef

Source
  Solving.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TransformToCnf
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CnfBuilder
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract val literalCount: Int

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CnfBuilder to any2stringadd[CnfBuilder] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CnfBuilder, B)
   Implicit
     This member is added by an implicit conversion from CnfBuilder to ArrowAssoc[CnfBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addClauseProcessed(clause: Clause): Unit
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def buildCnf: Array[Clause]
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def constFalse: Lit
11.  lazy val constTrue: Lit
12.  def ensuring(cond: (CnfBuilder) ⇒ Boolean, msg: ⇒ Any): CnfBuilder
    Implicit
      This member is added by an implicit conversion from CnfBuilder to Ensuring[CnfBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CnfBuilder) ⇒ Boolean): CnfBuilder
    Implicit
      This member is added by an implicit conversion from CnfBuilder to Ensuring[CnfBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): CnfBuilder
    Implicit
      This member is added by an implicit conversion from CnfBuilder to Ensuring[CnfBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CnfBuilder
    Implicit
      This member is added by an implicit conversion from CnfBuilder to Ensuring[CnfBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CnfBuilder to StringFormat[CnfBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  def isConst(l: Lit): Boolean
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def newLiteral(): Lit

    returns

      new Tseitin variable

26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  def →[B](y: B): (CnfBuilder, B)
    Implicit
      This member is added by an implicit conversion from CnfBuilder to ArrowAssoc[CnfBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CnfBuilder to any2stringadd[CnfBuilder]

### Inherited by implicit conversion StringFormat from CnfBuilder to StringFormat[CnfBuilder]

### Inherited by implicit conversion Ensuring from CnfBuilder to Ensuring[CnfBuilder]

### Inherited by implicit conversion ArrowAssoc from CnfBuilder to ArrowAssoc[CnfBuilder]

### Ungrouped